目录

Links/Unlinks offer instances to/from a loyalty card instance.

1 Request

HTTP request

PATCH
https://${url}/hmspass/v1/loyalty/instance/{instanceId}/linkedoffers
Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.

Path Parameters

Parameter nameValueDescription
instanceIdStringInstance ID. This ID must be unique across all instances of an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_).

Request body

The request body contains a LinkedOfferInstanceIds, which is information of offer instances to be processed.
LinkedOfferInstanceIds:

Parameter nameValueDescription
addOffersArray<Offer>Offer instances to be added.
deleteOffersArray<Offer>Offer instances to be deleted.


Offer:

Parameter nameValueDescription
passTypeIdentifierStringThe offer instance you want to add or delete belongs to this passTypeIdentifier.
instanceIdStringID of an offer instance.

2 Response

If successful, this method returns a response containing the hwWalletObject that is linked/unlinked.